package com.pandoli365.bibimbap.data;

import java.time.OffsetDateTime;

public class JamEntryData {

    private Long id;
    private Long jamId;
    private Long gameId;
    private String entrantType;
    private Long entrantUserId;
    private Long jamTeamId;
    private OffsetDateTime submittedAt;
    private Boolean isDelete;
    private String gameName;
    private String thumbnailUrl;
    private String entrantName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getJamId() {
        return jamId;
    }

    public void setJamId(Long jamId) {
        this.jamId = jamId;
    }

    public Long getGameId() {
        return gameId;
    }

    public void setGameId(Long gameId) {
        this.gameId = gameId;
    }

    public String getEntrantType() {
        return entrantType;
    }

    public void setEntrantType(String entrantType) {
        this.entrantType = entrantType;
    }

    public Long getEntrantUserId() {
        return entrantUserId;
    }

    public void setEntrantUserId(Long entrantUserId) {
        this.entrantUserId = entrantUserId;
    }

    public Long getJamTeamId() {
        return jamTeamId;
    }

    public void setJamTeamId(Long jamTeamId) {
        this.jamTeamId = jamTeamId;
    }

    public OffsetDateTime getSubmittedAt() {
        return submittedAt;
    }

    public void setSubmittedAt(OffsetDateTime submittedAt) {
        this.submittedAt = submittedAt;
    }

    public Boolean getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Boolean isDelete) {
        this.isDelete = isDelete;
    }

    public String getGameName() {
        return gameName;
    }

    public void setGameName(String gameName) {
        this.gameName = gameName;
    }

    public String getThumbnailUrl() {
        return thumbnailUrl;
    }

    public void setThumbnailUrl(String thumbnailUrl) {
        this.thumbnailUrl = thumbnailUrl;
    }

    public String getEntrantName() {
        return entrantName;
    }

    public void setEntrantName(String entrantName) {
        this.entrantName = entrantName;
    }
}
